Bug 122982 - microcode_ctl errors with modprobe: Can't locate module char-major-10-184
microcode_ctl errors with modprobe: Can't locate module char-major-10-184
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
:
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2004-05-10 19:19 EDT by Ambrose Earle
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:23:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ambrose Earle 2004-05-10 19:19:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
When booting with kernel-hugemem-2.4.21-9.0.3.EL, microcode_ctl fails 
with Can't locate module char-major-10-184.  When run manually, you 
receive microcode_ctl: cannot open /dev/cpu/0/microcode for writing 
errno=19 (No such device).  This does not fail on the standard or SMP 
kernels.




Version-Release number of selected component (if applicable):
kernel-utils-2.4-8.37.1

How reproducible:
Always

Steps to Reproduce:
1. Boot with hugemem kernel
2. Watch console for error
3. execute microcode_ctl -u
    

Actual Results:  microcode_ctl: writing microcode (length: 141312)
microcode_ctl: cannot open /dev/cpu/0/microcode for writing errno=19 
(No such device)

Expected Results:  no error, microcode updated

Additional info:

Dell PowerEdge 2650
2.4.21-9.0.3.ELhugemem #1 SMP Tue Apr 20 19:43:45 EDT 2004 i686 i686 
i386 GNU/Linux
/dev/cpu/0/microcode: character special (10/184)
Comment 1 Ernie Petrides 2004-10-26 17:44:10 EDT
The problem is that arch/i386/kernel/microcode.o is listed in
linux-modules-unsupported-hugemem.  I'm not sure why this is,
but it looks like we should remove it.  I'll investigate this.
Comment 2 Ernie Petrides 2005-06-08 23:26:52 EDT
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.7.EL).
Comment 8 Ernie Petrides 2005-08-31 21:47:43 EDT
*** Bug 132754 has been marked as a duplicate of this bug. ***
Comment 10 Red Hat Bugzilla 2005-09-28 10:23:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.